/* ======================================================== */
/* Variables */
/* ======================================================== */
:root {
    --clr-white: white;
    --clr-dark-gray: rgb(124, 124, 124);
    --clr-gray: #d9d9d9;
    --clr-champagne-pink: #f2e0d1;
    --clr-light-green: #7ae582;
    --clr-mantis: #60bd67;
    --clr-sky-blue: #7cd1e6;
    --clr-midnight-green: #003b4b;


    --container-width: 1920px;

    --fs-sm: clamp(0.7rem, 0.09vw + 0.68rem, 0.75rem);
    --fs-base: clamp(0.88rem, 0.23vw + 0.82rem, 1rem);
    --fs-md: clamp(1.09rem, 0.43vw + 0.98rem, 1.33rem);
    --fs-lg: clamp(1.37rem, 0.74vw + 1.18rem, 1.78rem);
    --fs-xl: clamp(1.71rem, 1.2vw + 1.41rem, 2.37rem);
    --fs-xxl: clamp(2.14rem, 1.86vw + 1.67rem, 3.16rem);
    --fs-xxxl: clamp(2.67rem, 2.8vw + 1.97rem, 4.21rem);
}

.debug {
    outline: 3px solid green;
}

/* ======================================================== */
/* Base */
/* ======================================================== */

body {
    margin: 0;
    background: var(--clr-white);
    font-family: "Poppins", sans-serif;
    color: var(--clr-midnight-green);
    font-weight: 400;
    font-style: normal;
}

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

a {
    text-decoration: none;
    color: currentColor;
}

button {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    line-height: 1;
    cursor: pointer;
}

button:disabled {
    cursor: not-allowed;
}

/* ======================================================== */
/* Typo */
/* ======================================================== */

h1,
.headline-1 {
    font-size: var(--fs-xxl);
    margin: 0 0 0.375em 0;
    line-height: 1.175em;
}

h2,
.headline-2 {
    font-size: var(--fs-xl);
    margin: 0 0 0.5em 0;
    line-height: 1.275em;
}

h3,
.headline-3 {
    font-size: var(--fs-lg);
    margin: 0 0 0.5em 0;
    line-height: 1.375em;
}

h4,
.headline-4 {
    font-size: var(--fs-md);
    margin: 0 0 0.5em 0;
    line-height: 1em;
}

p,
.headline-5 {
    font-size: var(--fs-base);
    line-height: 1.6em;
}

small {
    display: block;
    font-size: var(--fs-sm);
    margin: 0 0 1em 0;
    line-height: 1.6em;
}

.text-center {
    text-align: center;
}

/* ======================================================== */
/* Buttons */
/* ======================================================== */

.toolbar {
    display: flex;
    flex-flow: row wrap;
    gap: 1em;
    margin-bottom: 10px;
}

.toolbar--center {
    justify-content: center;
}

.btn {
    display: flex;
    gap: .5rem;
    justify-content: center;
    align-items: center;
    height: 3rem;
    padding: .1rem 2rem;
    font-weight: bold;
    font-size: var(--fs-base);
    background: var(--clr-light-green);
    color: var(--clr-midnight-green);
    transition: background 0.2s, transform 0.05s;

    white-space: nowrap;
    overflow: hidden;
}


.btn:active {
    transform: translateY(1px);
}

.btn--primary {
    background: var(--clr-light-green);
}

.btn--primary:hover {
    background: var(--clr-mantis);
}

.btn--secondary {
    background: var(--clr-light-green);
    color: var(--clr-midnight-green);
}

.btn--lg {
    height: 3.75rem;
    padding: 0 1.5rem;
}

.btn--sm {
    height: 2.5rem;
    padding: 0 1rem;
}

.btn--fw {
    width: 100%;
}

/* ======================================================== */
/* Layout */
/* ======================================================== */

.container {
    width: 100%;
    max-width: var(--container-width);
    margin: 0 auto;
}

.grid {
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    margin: 0% 5%;
}

.background {
    background-color: var(--clr-champagne-pink);
    padding: 5% 0%;
}

.align-center {
    align-items: center;
}

.m-b-l {
    margin-bottom: 5%;
}

.gutter {
    gap: 1rem;
}

@media (max-width:1024px) {
    .background {
        padding: 10% 0%;
    }

    .m-b-l {
        margin-bottom: 10%;
    }
}

.col-1 {
    grid-column: span 1;
}

.col-2 {
    grid-column: span 2;
}

.col-3 {
    grid-column: span 3;
}

.col-4 {
    grid-column: span 4;
}

.col-5 {
    grid-column: span 5;
}

.col-6 {
    grid-column: span 6;
}

.col-7 {
    grid-column: span 7;
}

.col-8 {
    grid-column: span 8;
}

.col-9 {
    grid-column: span 9;
}

.col-10 {
    grid-column: span 10;
}

.col-11 {
    grid-column: span 11;
}

.col-12 {
    grid-column: span 12;
}

.col-sm-1 {
    @media (max-width: 1024px) {
        grid-column: span 1;
    }
}

.col-sm-2 {
    @media (max-width: 1024px) {
        grid-column: span 2;
    }
}

.col-sm-3 {
    @media (max-width: 1024px) {
        grid-column: span 3;
    }
}

.col-sm-4 {
    @media (max-width: 1024px) {
        grid-column: span 4;
    }
}

.col-sm-5 {
    @media (max-width: 1024px) {
        grid-column: span 5;
    }
}

.col-sm-6 {
    @media (max-width: 1024px) {
        grid-column: span 6;
    }
}

.col-sm-7 {
    @media (max-width: 1024px) {
        grid-column: span 7;
    }
}

.col-sm-8 {
    @media (max-width: 1024px) {
        grid-column: span 8;
    }
}

.col-sm-9 {
    @media (max-width: 1024px) {
        grid-column: span 9;
    }
}

.col-sm-10 {
    @media (max-width: 1024px) {
        grid-column: span 10;
    }
}

.col-sm-11 {
    @media (max-width: 1024px) {
        grid-column: span 11;
    }
}

.col-sm-12 {
    @media (max-width: 1024px) {
        grid-column: span 12;
    }
}

/* ======================================================== */
/* scroll up button */
/* ======================================================== */

#myBtn {
    position: fixed;
    bottom: 20px;
    right: 30px;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99;
    font-size: var(--fs-lg);
    background-color: var(--clr-white);
    color: var(--clr-dark-graygray);
    cursor: pointer;
    border-radius: 100%;
    border-color: var(--clr-dark-gray);
    border: 2px solid rgb(124, 124, 124);
    transform: scale(0);
    transition: bottom 300ms, transform 300ms;
}

#myBtn:hover {
    background-color: var(--clr-gray);
    bottom: 3%;
}

#myBtn.show {
    transform: scale(1);
}

@media (max-width:1024px) {
    #myBtn {
        bottom: 15px;
        right: 20px;
    }

    #myBtn:hover {
        bottom: 2.5%;
    }
}

/* ======================================================== */
/* Notice */
/* ======================================================== */

.alert {
    padding: 1rem;
    background-color: var(--clr-midnight-green);
    color: var(--clr-white);
    opacity: 1;
    transition: opacity 0.6s;
}

.closebtn {
    margin-left: 15px;
    color: var(--clr-white);
    font-weight: bold;
    float: right;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

.closebtn:hover {
    color: var(--clr-sky-blue);
}

/* ======================================================== */
/* Navigation */
/* ======================================================== */

.header {
    height: 5rem;
    display: flex;
    align-items: center;
    font-size: var(--fs-md);
    padding: 0.3rem 1rem 0rem 1rem;
}

.header>.container {
    display: flex;
    height: 100%;
    align-items: center;
    position: relative;
}

.nav__trigger {
    display: none;
}

.header__logo {
    position: absolute;
}

.header__nav {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.header__nav ul {
    display: flex;
    gap: 1.5em;
    white-space: nowrap;
}

.header__nav ul li {
    font-size: .9em;
    font-weight: regular;
}

.header__icons {
    position: absolute;
    right: 1rem;
    display: flex;
    gap: 1rem;
}

@media (max-width:1024px) {
    .nav__trigger {
        display: block;
    }

    .header__nav {
        display: none;
    }

    .header__logo {
        left: 43%;
        transform: translateX(-35%);
    }

    .language-trigger {
        display: none;
    }
}

#navigation {
    width: calc(100% - 2rem);
    max-width: 400px;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    padding: 1rem;
    background: var(--clr-midnight-green);
    transform: translateX(-100%);
    transition: transform 0.5s;
    pointer-events: none;
    color: var(--clr-white);

    display: grid;
    grid-template-rows: min-content 1fr min-content;
}

#navigation.active {
    transform: none;
    pointer-events: initial;
}

.side_nav {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    overflow-y: auto;
}

.side_icons {
    display: flex;
    flex-direction: row;
    gap: .5rem;
}

.close {
    position: absolute;
    right: 2rem;
    top: 2rem;
}

#mask {
    position: fixed;
    inset: 0;
    width: 100vw;
    height: 100vh;
    opacity: 0;
    pointer-events: none;
    background: var(--clr-midnight-green);
    transition: opacity 0.5s;
    z-index: 998;
}

#mask.active {
    pointer-events: initial;
    opacity: 0.5;
}

a:hover {
    color: var(--clr-sky-blue);
    transition: color .20s;
}

/* ======================================================== */
/* footer*/
/* ======================================================== */

.footer {
    background-color: var(--clr-midnight-green);
    color: var(--clr-white);
    text-align: center;
    padding: 5% 0%;
}

.logo-footer {
    margin-bottom: 30px;
    width: 12%;
}

.social-media {
    margin-bottom: 30px;
    width: 2%;
    display: flex;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    gap: .5rem;
}

.contact {
    margin-bottom: 30px;
}

@media (max-width:1024px) {
    .social-media {
        width: 5%;
    }
}

@media (max-width:1024px) {
    .logo-footer {
        width: 30%;
    }
}

/* ======================================================== */
/* STARTSEITE*/
/* ======================================================== */

/* ======================================================== */
/* banner*/
/* ======================================================== */

.banner {
    margin-bottom: 4%;
    position: relative;
    text-align: center;
}

.img-banner {
    max-inline-size: 100%;
    block-size: auto;
    aspect-ratio: 2/1;
    object-fit: cover;
}

.banner-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: var(--clr-white);
}

@media (max-width: 767px) {
    .img-banner {
        aspect-ratio: 1/1;
    }
}

/* ======================================================== */
/* trennung*/
/* ======================================================== */

.plane {
    background-color: var(--clr-midnight-green);
    padding: 2% 15%;
}

/* ======================================================== */
/* Carousel*/
/* ======================================================== */

.container1 {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 5%;
}

.slider1 {
    position: absolute;
    inset: 80px 100px 80px 80px;
    background: var(--clr-midnight-green);
}

.slider1 .slides1 {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 240px;
    height: 320px;
    background: var(--img);
    background-size: cover;
    background-position: center;
    transition: 0.5s;
    box-shadow: 0px 25px 50px rgba(0, 0, 0, 0.5);
}

.slider1 .slides1:nth-child(1),
.slider1 .slides1:nth-child(2) {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform: translateY(0);
    box-shadow: 0px 25px 50px rgba(0, 0, 0, 0.5);
    background-size: cover;
}

.slider1 .slides1:nth-child(3) {
    left: calc(50% + 300px);
    background-size: cover;
}

.slider1 .slides1:nth-child(4) {
    left: calc(50% + 560px);
    background-size: cover;
}

.slider1 .slides1:nth-child(5) {
    left: calc(50% + 820px);
    background-size: cover;
}

.content1 {
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.content2 {
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: right;
}

.content3 {
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
}

.buttons1 {
    position: absolute;
    bottom: 15px;
    display: flex;
    gap: 20px;
}

.buttons1 span {
    position: relative;
    width: 50px;
    height: 50px;
    background: var(--clr-midnight-green);
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.buttons1 span::before {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    border-top: 4px solid #fff;
    border-left: 4px solid #fff;
    transform: rotate(315deg) translate(2px, 2px);
}

.buttons1 span:nth-child(2)::before {
    transform: rotate(135deg) translate(2px, 2px);
}

.buttons1 span:active {
    opacity: 0.5;
}

@media (max-width: 1024px) {
    .slider1 {
        position: absolute;
        inset: 40px 40px 250px 40px;
    }

    .slider1 .slides1 {
        width: 100px;
        height: 100px;
        top: initial;
        bottom: -170px;
        box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.25);
    }

    .slider1 .slides1:nth-child(1),
    .slider1 .slides1:nth-child(2) {
        top: initial;
        bottom: 0px;
        box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.25);
    }

    .slider1 .slides1:nth-child(3) {
        left: 0;
    }

    .slider1 .slides1:nth-child(4) {
        left: 120px;
    }

    .slider1 .slides1:nth-child(5) {
        left: 240px;
    }

    .buttons1 {
        bottom: 60px;
    }
}

/* ======================================================== */
/* news*/
/* ======================================================== */

.slideshow-container {
    max-width: grid;
    position: relative;
    margin: auto;
}

.mySlides {
    display: none;
    width: 100%;
    height: 100%;
}

.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 13px;
    color: rgb(124, 124, 124);
    font-weight: bold;
    font-size: 25px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    background-color: var(--clr-white);
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
    background-color: var(--clr-gray);
}

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}

@media (max-width:1024px) {

    .next,
    .prev {
        padding: 9px;
        font-size: 20px;
    }
}

/* ======================================================== */
/* HIGHLIGHTS*/
/* ======================================================== */

.highlights-banner {
    position: relative;
    text-align: center;
    background-color: var(--clr-champagne-pink);
}

.highlights-banner-text {
    padding-top: 5%;
    margin: 0;
}

.btn-highlights-banner {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: flex-end;
}

.overlay {
    display: flex;
    flex-flow: row nowrap;
    align-items: flex-start;
    justify-content: center;
    text-align: center;
    position: relative;
    word-break: break-word;
    color: #d9d9d9;
}

.overlay-text {
    position: absolute;
    max-width: 250px;
    word-break: break-word;
    padding-top: 3%;
}

.overlay-button {
    position: absolute;
    max-width: 250px;
    word-break: break-word;
    bottom: 3%;
}

#Regional {
    margin: 0%;
}

/* ======================================================== */
/* IMPRESSIONEN*/
/* ======================================================== */

.row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 0 4px;
    margin: 5%;
}

.column {
    -ms-flex: 25%;
    flex: 25%;
    max-width: 25%;
    padding: 0 4px;
}

.column img {
    margin-top: 8px;
    vertical-align: middle;
    width: 100%;
}

@media screen and (max-width: 1024px) {
    .column {
        -ms-flex: 50%;
        flex: 50%;
        max-width: 50%;
    }
}

@media screen and (max-width: 767px) {
    .img-banner-galerie {
        max-inline-size: 100%;
        block-size: auto;
        aspect-ratio: 2/1;
        object-fit: cover;
    }
}

/* ======================================================== */
/* 404*/
/* ======================================================== */

.image {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ======================================================== */
/* DATENSCHUTZ*/
/* ======================================================== */

.text {
    margin: 0% 5%;
}

@media screen and (max-width: 767px) {
    .img-banner-daten {
        max-inline-size: 100%;
        block-size: auto;
        aspect-ratio: 2/1;
        object-fit: cover;
    }
}

/* ======================================================== */
/* LOGIN*/
/* ======================================================== */

.login-form {
    background-color: var(--clr-champagne-pink);
    padding: 3% 5% 5% 5%;
    display: flex;
    justify-content: center;
}

.login-headline {
    text-align: center;
    background-color: var(--clr-champagne-pink);
    margin: 0;
    padding-top: 5%;
}

.form {
    width: 50%;
}

.input[type=text],
.input[type=password] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 0px solid #ccc;
    box-sizing: border-box;
}

.input[type=checkbox] {
    margin: 8px 0;
}

.btn-login {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 2.5rem;
    width: 100%;
    padding: .1rem 2rem;
    margin: 8px 0;
    font-weight: bold;
    font-size: var(--fs-base);
    background: var(--clr-light-green);
    color: var(--clr-midnight-green);
    transition: background 0.2s, transform 0.05s;

    white-space: nowrap;
    overflow: hidden;
}

.btn-login:active {
    transform: translateY(1px);
}

.btn--primary-login {
    background: var(--clr-light-green);
}

.btn--primary-login:hover {
    background: var(--clr-mantis);
}

.container-login {
    padding: 16px;
}

.psw {
    float: right;
    padding-top: 5%;
}

@media screen and (max-width: 1024px) {
    .form {
        width: 100%;
    }
}